### Method

# AppStreamCompose Compose set_cainfo

#### Declaration [src]

    void
    asc_compose_set_cainfo (
      AscCompose* compose,
      const gchar* cainfo
    )

#### Description [src]

Set a CA file holding one or more certificates to verify peers with for download operations performed by this `AscCompose`.

#### Parameters

`cainfo`

  Type: `const gchar*`

  A valid file path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.